%define name lzop
%define version 1.01
%define release %mkrel 7

Summary: LZO fast file compressor
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch: lzop-1.01-lzo2.patch
License: GPL
Group: Archiving/Compression
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: liblzo-devel >= 2.00
URL: http://www.oberhumer.com/opensource/lzop/

%description
lzop is a file compressor similar to gzip. Its main advantages over gzip
are much higher compression and decompression speed at the cost
of compression ratio.

lzop was designed with the following goals in mind:
  1) speed (both compression and decompression)
  2) reasonable drop-in compatibility to gzip
  3) portability

%prep
%setup -q
%patch -p1 -b .lzo2
autoconf

%build
export CPPFLAGS="-D_FILE_OFFSET_BITS=64 -I%_includedir/lzo"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS THANKS doc/lzop.ps doc/lzop.html
%_bindir/lzop
%_mandir/man1/lzop.1*


%changelog
* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 1.01-7mdv2007.0
+ Revision: 103086
- Import lzop



* Tue Jan  2 2007 Gtz Waschk <waschk@mandriva.org> 1.01-7mdv2007.1
- unpack patch

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.01-6mdk
- Rebuild

* Tue Jun 28 2005 Gtz Waschk <waschk@mandriva.org> 1.01-5mdk
- update the patch for new liblzo

* Thu Jun  2 2005 Gtz Waschk <waschk@mandriva.org> 1.01-4mdk
- patch for new lzo

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 1.01-3mdk
- fix large file support (bug #15545)

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.01-2mdk
- fix buildrequires
- drop prefix

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.01-1mdk
- fix doc file list
- use the right configure macro
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.00-2mdk
- rebuild

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.00-1mdk
- initial package
